
all : CalCPPV1.exe

CalCPPV1.exe : Calculator.obj OperatorStack.obj OperandStack.obj
    cl Calculator.obj OperatorStack.obj OperandStack.obj /FeCalCPPV1.exe

Calculator.obj : Calculator.cpp Calculator.h symbols.h OperatorStack.obj OperandStack.obj
    cl /c Calculator.cpp

OperatorStack.obj : OperatorStack.h OperatorStack.cpp symbols.h
    cl /c OperatorStack.cpp

OperandStack.obj : OperandStack.h OperandStack.cpp symbols.h
    cl /c OperandStack.cpp

cleanall :
    -deltree debug
    -del *.obj
    -del CalCPPV1.ncb
    -del CalCPPV1.plg
    -del CalCPPV1.opt
    -del CalCPPV1.exe