#include <stdio.h>
#include <stdlib.h>

#include "OperandStack.h"

COperandStack::COperandStack() : m_top(NULL)
{
}

COperandStack::~COperandStack()
{
    clear();
}

void COperandStack::clear()
{
    while (m_top!=NULL)
        pop();
}

void COperandStack::push(double oprnd)
{
    if (m_top == NULL)
        m_top = new COperandNode(oprnd);
    else
    {
        COperandNode *ptrTmp = m_top;
        m_top = new COperandNode(oprnd);
        m_top->next = ptrTmp;
    }
}

double COperandStack::pop()
{
    if (m_top == NULL)
    {
        printf("OperandStack::pop(), empty Operand stack\n");
        exit(1);
        return 0.0f;
    }
    else
    {
        COperandNode *ptrTmp = m_top;
        double result = ptrTmp->operand;
        m_top = m_top->next;
        delete ptrTmp;
        return result;
    }
}

BOOL COperandStack::IsEmpty()
{
    return (m_top == NULL);
}
