#ifndef OPERANDSTACK_H
#define OPERANDSTACK_H

#include "symbols.h"

struct COperandNode
{
    COperandNode(double oprnd) : operand(oprnd), next(NULL) {};
    double operand;
    COperandNode *next;
};

class COperandStack
{
public:
    COperandStack();
    ~COperandStack();
    void push(double oprnd);
    double pop();
    BOOL IsEmpty();
    void clear();

private:
    COperandNode *m_top;
};

#endif