#ifndef OPERATORSTACK_H
#define OPERATORSTACK_H

#include "symbols.h"

struct COperatorNode
{
    COperatorNode(char op) : opcode(op), next(NULL) {};
    char opcode;
    COperatorNode *next;
};

class COperatorStack
{
public:
    COperatorStack();
    ~COperatorStack();
    void push(char op);
    char pop();
    BOOL precedenceIsNotLowerThan(char op);
    BOOL IsEmpty();
    void clear();

private:
    COperatorNode *m_top;
    int numericOrder(char op);
};

#endif
